package mior.controler;

import javax.swing.AbstractAction;

public abstract class AbstractMiorAction<T> extends AbstractAction {
	
	private static final long serialVersionUID = 1L;
	private T data;
	
	public AbstractMiorAction(T data, String name) {
		super(name);
		this.data = data;
	}
	
	public T getData() {
		return data;
	}
	
}
